# class Chef::Resource::Git

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource::Scm.new

    # File lib/chef/resource/git.rb, line 25
    def initialize(name, run_context=nil)
      super
      @resource_name = :git
      @provider = Chef::Provider::Git
      @additional_remotes = Hash[]
    end

### Public Instance Methods

additional_remotes(arg=nil) click to toggle source

    # File lib/chef/resource/git.rb, line 32
    def additional_remotes(arg=nil)
      set_or_return(
        :additional_remotes,
        arg,
        :kind_of => Hash
      )
    end